# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/cmp /usr/bin/ctags /usr/bin/diff /usr/bin/emacs /usr/bin/eqn /usr/bin/etags /usr/bin/make /usr/bin/pack /usr/bin/patch /usr/bin/printenv /usr/bin/soelim /usr/bin/tbl /usr/bin/zip
# END SourceDeps(oneline)
Name:           ftnchek
Version:        3.3.1
Release:        alt1_16
Summary:        Static analyzer for Fortran 77 programs

Group:          Development/Tools
License:        MIT
URL:            http://www.dsm.fordham.edu/~ftnchek/
Source0:        http://www.dsm.fordham.edu/~ftnchek/download/ftnchek-3.3.1.tar.gz
Patch0:         ftnchek-3.3.1-datadir.patch
Patch1:         http://www.dsm.fordham.edu/~ftnchek/download/ftnchek-3.3.1-varfmt.patch
# Patch to support bison 2.6
Patch2:         ftnchek-3.3.1-bison26.patch

BuildRequires:  bison
BuildRequires:  groff emacs
Source44: import.info

%description
ftnchek is a static analyzer for Fortran 77 programs. It is designed to
detect certain errors in a Fortran program that a compiler usually does
not. ftnchek is not primarily intended to detect syntax errors. Its
purpose is to assist the user in finding semantic errors. Semantic
errors are legal in the Fortran language but are wasteful or may cause
incorrect operation. For example, variables which are never used may
indicate some omission in the program; uninitialized variables contain
garbage which may cause incorrect results to be calculated; and variables
which are not declared may not have the intended type. ftnchek is
intended to assist users in the debugging of their Fortran program. It is
not intended to catch all syntax errors. This is the function of the
compiler. Prior to using ftnchek, the user should verify that the program
compiles correctly.


%package -n	emacs-ftnchek
Summary:        Emacs support for ftnchek
Group:          Development/Tools
Obsoletes:	ftnchek-emacs <= 3.3.1
Provides:	ftncheck-emacs
Requires:       %{name} = %{version}-%{release}

%description -n emacs-ftnchek
This package provides files enabling ftnchek support within GNU Emacs.


%package -n	emacs-ftnchek-el
Summary:        Elisp source files for Emacs support for ftnchek
Group:          Development/Tools
Requires:       emacs-%{name} = %{version}-%{release}

%description -n emacs-ftnchek-el
This package provides Elisp source files enabling ftnchek support within GNU
Emacs. You don't need to install this package to support ftnchek under emacs. 

%prep
%setup -q
%patch0 -p1 -b .datadir
%patch1 -p1 -b .varfmt
%patch2 -p1 -b .bison26
#Stop configure from overriding CFLAGS
sed -i -e 's/CFLAGS="-DUNIX.*"//' configure


%build
export CFLAGS="$RPM_OPT_FLAGS -DUNIX"
%configure
make || :
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ftnchek
%makeinstall STRIP=/bin/true datadir=$RPM_BUILD_ROOT%{_datadir}/ftnchek \
             lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ftnchek


%files
%doc LICENSE README FAQ PATCHES
%{_bindir}/dcl2inc
%{_bindir}/ftnchek
%{_datadir}/ftnchek/
%{_mandir}/man1/dcl2inc.1*
%{_mandir}/man1/ftnchek.1*

%files -n emacs-ftnchek
%{_emacslispdir}/ftnchek/ftnchek.elc

%files -n emacs-ftnchek-el
%{_emacslispdir}/ftnchek/ftnchek.el


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 3.3.1-alt1_16
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 3.3.1-alt1_15
- initial fc import

